.TH WATSUP 1 2011-09-01 "Linux" "watsup man page"

.SH NAME
 watsup - compact display of system resources and top processes

.SH DESCRIPTION
 Watsup creates a small (panel) window which monitors overall loading
 of the CPU, disk, and network. Optionally a larger window is created 
 to monitor the resource loadings of the topmost processes.

.SH SYNOPSIS
 $ watsup [ -delay N ] [ -proc ]
   -delay N   causes a delay of N seconds until window creation
   -proc      opens optional window to monitor top process loadings

 The small (panel) window displays CPU load, disk IO rate (MB/sec),
 network IO rate (KB/sec) and CPU core temperatures (low-high range).
 CPU load of 100% corresponds to one processor core fully loaded.

 The optional larger window displays resource loadings for the entire
 system and the top processes using those resources.
  + Overall system and top process resources are shown on one page 
  + CPU, memory, disk I/O, network I/O, and page faults are monitored 
  + The topmost-ranked processes fitting within the window are shown 
  + Process rank is weighted sum of recent CPU, hard faults, disk I/O 
  + Minimal re-ordering between samples (a process can be followed) 
  + Overhead is low, so sub-second sampling periods are practical
  + Optionally filter for desired users, PIDs, or program names
  + A process can be selected with the mouse and killed
  + Window size and report font size are adjustable

 The larger window has toolbar buttons with the following functions:
   parms  set sample period, font size, selection filters
   root   restart as root (after entering your password)
   start  start sampling and reporting
   stop   stop sampling and reporting (window is frozen)
   sort   sort process list by descending resource usage
   save   save current window to a file
   print  print current window on default printer
   quit   terminate the larger (process) window
   help   display the man page (this page)
 
 The application is controlled with the mouse and the small window.
   Left click: open the optional window to display process loadings.
   Right click: terminate watsup - both windows are closed.
   Left drag: reposition the small window. Watsup will return to this
   position when started the next time. It may overlay a panel.

 To start watsup with each new login, add the command 'watsup' to your
 list of startup programs. Move the small window to the desired position 
 the first time, and it will keep this position for future startups.
 
 Add "coretemp" to the list in /etc/modules and reboot to get the
 CPU core temperature display to work.
 
 Running as root is necessary to see non-owned processes.
 
 A process can be killed by clicking it with the mouse. A confirmation
 dialog follows. Use the [root] button first if needed.
 
 You can reduce the process list to a desired subset by adding filters
 using the [parms] button. Enter text strings to match desired users,
 programs, or PIDs. Wildcards may be used, e.g. gnome* would cause the
 many gnome-xxxx daemons to be monitored.

.SH SEE ALSO
 The README file has instructions to build watsup from source code.

.SH AUTHORS
 Written by Michael Cornelison <kornelix2@gmail.com>
 http://kornelix.squarespace.com/watsup

